Bug 522885 - Sites in Other Tabs or Windows Cannot Load Whilst Java-Based Web App's Login Dialogue Box Open
Summary: Sites in Other Tabs or Windows Cannot Load Whilst Java-Based Web App's Login ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: epiphany
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-11 23:12 UTC by David Le Sage
Modified: 2018-04-11 11:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:36:32 UTC


Attachments (Terms of Use)

Description David Le Sage 2009-09-11 23:12:39 UTC
Description of problem:
If the Red Hat JBoss EAP BRMS (Drools) Web Console Login dialog is open in one tab of Epiphany, pages cannot be open in any other tabs or new Epiphany windows.  Although I realise JBoss itself is not officially supported under Fedora, this appears to be purely an Epiphany problem, as one Java app should not disable the ability to load pages across all tabs and windows.


Does it seems to be related to process threads for Java locking under Gecko?  I realise Chrome/Chromium handles tabs in different threads.




Version-Release number of selected component (if applicable):
2.26.3

How reproducible:
Every time.

Steps to Reproduce:
1. Install Red Hat JBoss EAP Server.
2. Install BRMS in deploy directory of the production server profile.
3. Activate JBoss server. From BASH, type ../jboss-as/bin/run.sh -c production -b 127.0.0.1
4. Launch Epiphany and open a few different tabs for testing purposes.
5. In one of the tabs, enter the URL of the server console:  http://127.0.0.1:8080/jmx-console
6. Go to the web console option.
7. Log in dialogue box appears, prompting for user name and password.  Do not enter these yet!
8. Go to one of the other tabs you had opened.  Type in the URL of a website of your choice, such as, for example, http://www.abc.net.au/news/justin
9. The website will not load.  The "throbber" icon will keep pulsing but does not ever time out.  
10.  Try it with a few more tabs and websites and you will see the result is the same.
11.  Launch a new Epiphany session from your GNOME menu (whilst keeping the old one still open) and, once again, try to go to some websites.
12.  Again, the throbber will indicate that Epiphany is trying to reach the sites but cannot connect.
13.  Only when the JBoss login is dismissed, or the correct username and password are entered, can the other Epiphany tabs and windows be used once more.
  
Actual results:
Cannot reach other websites whilst JBoss console login dialogue is open in one of the tabs.

Expected results:
Other tabs and Epiphany sessions should not be locked by the open Java dialogue box. Totally different websites in different tabs and new Epiphany sessions should load.  

Additional info:
I have not tested this under Firefox.  Probably worthwhile to do so to determine if it is a problem with Gecko.  Should probably look at it under Chromium as well to see if the separate process threads for separate tabs under their model eliminates this problem.

Would be very good to check if this also occurs to Epiphany under RHEL configurations, where JBoss is officially supported by Red Hat. Also, I do not know what happens to other Java-based web apps with dialogue boxes.

Comment 1 Matěj Cepl 2009-09-19 22:43:42 UTC
(In reply to comment #0)
> Would be very good to check if this also occurs to Epiphany under RHEL
> configurations, where JBoss is officially supported by Red Hat. Also, I do not
> know what happens to other Java-based web apps with dialogue boxes.  

Yes please, that would be good. Could you try it so I don't have to try to install Drools? (Also note, there is no Epiphany on RHEL)

Comment 2 Bug Zapper 2010-04-28 10:18:23 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-06-28 14:36:32 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.